nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
nx::sdk::ISettingsResponse Class Referenceabstract

`#include <i_settings_response.h>`

Inheritance diagram for nx::sdk::ISettingsResponse:

## Public Member Functions
Ptr< IString > | model () const
Public Member Functions inherited from nx::sdk::Interface< ISettingsResponse, ISettingsResponse0 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::ISettingsResponse0
Ptr< IStringMap > | values () const
Ptr< IStringMap > | errors () const
Public Member Functions inherited from nx::sdk::Interface< ISettingsResponse0 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
virtual int | addRef () const =0
virtual int | releaseRef () const =0
int | refCountThreadUnsafe () const

## Static Public Member Functions
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::ISettingsResponse0
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()

## Protected Member Functions
virtual IString * | getModel () const =0
Protected Member Functions inherited from nx::sdk::Interface< ISettingsResponse, ISettingsResponse0 >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Protected Member Functions inherited from nx::sdk::ISettingsResponse0
virtual IStringMap * | getValues () const =0
virtual IStringMap * | getErrors () const =0
Protected Member Functions inherited from nx::sdk::Interface< ISettingsResponse0 >
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Additional Inherited Members
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Detailed Description

The data to be returned from the plugin describing the desired settings.

A combination of optional individual setting errors, optional new setting values in case they were adjusted, and an optional new Settings Model.

## Member Function Documentation

## ◆ getModel()

virtual IString* nx::sdk::ISettingsResponse::getModel | ( |  | ) | const
| protectedpure virtual

Called by model()

Implemented in nx::sdk::SettingsResponse.

## ◆ model()

Ptr<IString> nx::sdk::ISettingsResponse::model | ( |  | ) | const
| inline

Returns
  New Settings Model, overriding the one from the parent object's Manifest, in case the Model has been changed e.g. because its parts depend on some setting values. Can be null if the Model has not been changed.

The documentation for this class was generated from the following file:

- src/nx/sdk/i_settings_response.h